context fast-response {
    period   120;
    versions 20;
    output   "/var/www/html/firewall.0fast.%d.html";
    tempin   "/var/lib/wflogs-daemon/wflogs.fast.input";
    wflogs   "nice wflogs -i all -o html /var/lib/wflogs-daemon/wflogs.fast.input >%s &";
    file     "/var/log/messages";
    pattern  "vyatta kernel";
};

context hourly {
    period   3600;
    versions 4;
    trigger  hourly;
    output   "/var/www/html/firewall.1hourly.%d.html";
    tempin   "/var/lib/wflogs-daemon/wflogs.hourly.input";
    wflogs   "nice wflogs -i all -o html /var/lib/wflogs-daemon/wflogs.hourly.input >%s &";
    file     "/var/log/messages";
    pattern  "vyatta kernel";
};

context daily {
    period   86400;
    versions 7;
    trigger  daily;
    output   "/var/www/html/firewall.2daily.%d.html";
    tempin   "/var/lib/wflogs-daemon/wflogs.daily.input";
    wflogs   "nice wflogs -i all -o html /var/lib/wflogs-daemon/wflogs.daily.input >%s &";
    file     "/var/log/messages";
    pattern  "vyatta kernel";
};

context weekly {
    period   604800;
    versions 4;
    trigger  weekly;
    output   "/var/www/html/firewall.3weekly.%d.html";
    tempin   "/var/lib/wflogs-daemon/wflogs.weekly.input";
    wflogs   "nice wflogs -i all -o html /var/lib/wflogs-daemon/wflogs.weekly.input >%s &";
    file     "/var/log/messages";
    pattern  "vyatta kernel";
};

